import * as model from './model';
import * as koa from './koa';
import * as timestamp from './timestamp';
import * as softDelete from './soft-delete';
export declare type NModelType = (typeof NModel & koa.KoaMiddlewaresType & timestamp.TimestampModelType & softDelete.SoftDeleteModelType);
export interface NModel extends koa.KoaMiddlewares, timestamp.TimestampModel, softDelete.SoftDeleteModel {
}
export declare class NModel extends model.Model {
}
export declare const AUTOGEN = "AUTOGEN";
export declare const READONLY = "READONLY";
